### Name: fac.layout
### Title: Generate a randomized layout for an experiment.
### Aliases: fac.layout
### Keywords: design datagen

### ** Examples

LS.unit <- data.frame(row = ordered(rep(c("I","II","III","IV"), times=4)), 
                     col = factor(rep(c(0,2,4,6), each=4)))
LS.ran <- data.frame(treat = factor(c(1:4, 2,3,4,1, 3,4,1,2, 4,1,2,3)))
data.frame(LS.unit, LS.ran)
LS.lay <- fac.layout(unrandomized=LS.unit, randomized=LS.ran, seed=7197132) 
LS.lay[LS.lay$Permutation,]

RCBD.unit <- list(rep = 2, plot=1:3, block = c("I","II"))
RCBD.nest <- list(plot = c("block","rep"), block="rep")
tr <- factor(rep(1:3, each=2, times=2))
RCBD.lay <- fac.layout(unrandomized=RCBD.unit, nested.factors=RCBD.nest, 
                       randomized=tr, seed=7197132)
RCBD.perm <- RCBD.lay[RCBD.lay$Permutation,]
RCBD.lay <- RCBD.perm[order(RCBD.perm$Units),]



