### Name: strength
### Title: Generate paper strength values
### Aliases: strength
### Keywords: datagen design

### ** Examples

        library(dae)
        temperature <- factor( ... )
        exp.strength <- strength(nodays = 4, noruns = 5,
                           temperature = temperature, ident = 0123456)

  Here temperature is a factor with 4*5 = 20 values whose
  first 5 values specify the temperatures to be applied in
  the 5 runs on the first day, values 6 to 10 specify the
  temperatures for the 5 runs on day 2, and so on.

        exp.strength <- strength(nodays = 4, noruns = 5,
                           temperature = Design$temperature, ident = 0123456)

  In the second example, Design is the name of a data.frame object
  that includes the factor temperature.



